/**
 * moaco loader
 */
export declare class LoadMonacoEditor {
    #private;
    private baseUrl;
    private language;
    private theme?;
    private defaultValue?;
    private localizeCode?;
    protected supportLanguages: string[];
    constructor(baseUrl: string, language: string, theme?: string | undefined, defaultValue?: string | undefined, localizeCode?: string | undefined);
    /**
     * the language in current nation
     * @protected
     */
    protected currentLanguage(): string;
    load(): Promise<void>;
    /**
     * create the monaco-edtior by the dom
     */
    createMonacoEditor(): void;
}
